<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" xmlns="http://www.w3.org/1999/html"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Shift Pattern</title>
<script>
    $(window).load(function(){
        $('#modal-default').modal('show');
    });
</script>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Shift Pattern
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Setting</li>
        <li class="active"> Shift Pattern</li>
    </ol>
</section>

<section layout:fragment="main" class="content">

    <div class="row">
        <div class="col-md-3">
            <div class="box box-solid">
                <div class="box-header with-border">
                    <h3 class="box-title">Tab</h3>

                    <div class="box-tools">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                        </button>
                    </div>
                </div>
                <div class="box-body no-padding">
                    <ul class="nav nav-pills nav-stacked">
                        <li class="active">
                            <a th:href="@{/setting/timemanagement/pattern}"><i class="fa fa-inbox"></i> Pattern </a>
                        </li>
                        <li>
                            <a th:href="@{/setting/timemanagement/pattern/schedule}"><i class="fa fa-inbox"></i> Pattern Schedule </a>
                        </li>
                        <li>
                            <a th:href="@{/setting/timemanagement/employee/schedule}"><i class="fa fa-inbox"></i> Employee Schedule </a>
                        </li>
                        <li>
                            <a th:href="@{/setting/timemanagement/employee/schedule/view}"><i class="fa fa-inbox"></i> Employee Schedule View </a>
                        </li>
                        <li>
                            <a th:href="@{/setting/timemanagement/employee/schedule/impor}"><i class="fa fa-inbox"></i> Import Employee Schedule </a>
                        </li>
                        <li>
                            <a th:href="@{/setting/timemanagement/machine}"><i class="fa fa-inbox"></i> machine </a>
                        </li>
                    </ul>
                </div>
                <!-- /.box-body -->
            </div>
        </div>
        <div class="col-md-9">

            <div class="callout callout-success" th:if="${success != null}">
                <h4>Save Data Success!</h4>

                <p>Data Berhasil Disimpan.</p>
            </div>

            <div class="callout callout-success" th:if="${deleted != null}">
                <h4>Delete Data Success!</h4>

                <p>Data Berhasil Dihapus.</p>
            </div>

            <div class="callout callout-danger" th:if="${shiftDetailNotDeleteAllowed != null}">
                <h4>Delete Shift Unsuccesfully!</h4>

                <p>Delete shift tidak diizinkan karena data sudah digunakan dalam shift pattern..</p>
            </div>

            <div class="callout callout-danger" th:if="${gagal != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
            </div>

            <!-- Custom Tabs -->
            <div class="nav-tabs-custom">
                <ul class="nav nav-tabs">
                    <li class="active"><a href="#detail" data-toggle="tab">Shift Pattern</a></li>
                    <!--                    <li><a href="#keluarga" data-toggle="tab">Keluarga</a></li>-->
                    <!--                    <li><a href="#pendidikan" data-toggle="tab">Pendidikan</a></li>-->
                </ul>
                    <div class="tab-content">
                        <div class="tab-pane active" id="detail">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="box box-info">
                                            <div class="box-header with-border">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <h3 class="box-title">Shift Pattern</h3>
                                                    </div>
                                                    <div class="col-md-6" align="right">
<!--                                                        Show entries <span sd:page-size-selector="javascript"></span>-->
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="box-header with-border">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="input-group input-group-sm" style="width: 150px;">
<!--                                                            <a th:href="@{/setting/timemanajemen/shift/detail}" name="tambah" type="button" class="btn btn-block btn-default">+ Shift Detail</a>-->
                                                            <button type="button" class="btn btn-default" data-toggle="modal" data-target="#modal-default">
                                                                + Shift Detail
                                                            </button>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6" align="right">
                                                        <div class="input-group input-group-sm" style="width: 150px;">
                                                            <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">
                                                            <div class="input-group-btn">
                                                                <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="modal fade" id="modal-default" role="dialog">
                                                    <div class="modal-dialog">
                                                        <form th:action="@{/setting/timemanagement/shift/pattern/submit(pattern = ${pattern.getId()})}" th:object="${shiftPattern}" method="post">
                                                        <div class="modal-content">
                                                             <div class="modal-header">
                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span></button>
                                                                <h4 class="modal-title">Shift Detail</h4>
                                                            </div>
                                                            <div class="modal-body">
                                                                <button type="button" class="btn btn-default" data-toggle="modal" data-target="#modal-default2">
                                                                    + Shift
                                                                </button>

                                                                <div class="row">
                                                                    <div class="col-md-12">
                                                                        <div class="form-group">
                                                                            <label for="days" class="col-sm-2 control-label">Day</label>

                                                                            <div class="col-sm-10">
                                                                                <select class="form-control select2" name="days" th:field="*{days}" id="days" style="width: 100%;">
                                                                                    <option th:each="data : ${listDays}"
                                                                                            th:text="${ data.getNameDay()}"
                                                                                            th:value="${data.id}">sdasd</option>
                                                                                </select>
                                                                            </div>
                                                                        </div>

                                                                        <div class="form-group">
                                                                            <label for="shiftDetail" class="col-sm-2 control-label">Shift</label>

                                                                            <div class="col-sm-10">
                                                                                <select class="form-control select2" name="shiftDetail" th:field="*{shiftDetail}" id="shiftDetail" style="width: 100%;">
                                                                                    <option th:each="data : ${listShiftDetail}"
                                                                                            th:text="${data.getShiftName()+' - In'+data.getShiftIn()+' - Out'+data.getShiftOut()}"
                                                                                            th:value="${data.id}">sdasd</option>
                                                                                </select>
                                                                            </div>
                                                                        </div>

                                                                        <input type="hidden" name="id" th:field="*{id}">
                                                                    </div>
                                                                </div>

                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
                                                                <button type="submit" class="btn btn-primary">Save changes</button>
                                                            </div>

                                                        </div>
                                                        </form>
                                                        <!-- /.modal-content -->
                                                    </div>
                                                    <!-- /.modal-dialog -->
                                                </div>

                                                <div class="modal fade" id="modal-default2">
                                                    <div class="modal-dialog">
                                                        <div class="modal-content">
                                                            <form class="form-horizontal" th:action="@{/setting/timemanagement/shift/detail/save(pattern = ${pattern.getId()})}" th:object="${shiftDetail}" method="post">
                                                                <div class="modal-header">
                                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                        <span aria-hidden="true">&times;</span></button>
                                                                    <h4 class="modal-title">Shift</h4>
                                                                </div>
                                                                <div class="modal-body">
                                                                    <div class="form-group">
                                                                        <label for="shiftName" class="col-sm-2 control-label">Name</label>

                                                                        <div class="col-sm-10">
                                                                            <input type="text" class="form-control" th:field="*{shiftName}" name="shiftName" id="shiftName" placeholder="Name">
                                                                        </div>
                                                                    </div>
                                                                    <div class="form-group">
                                                                        <label for="shiftInString" class="col-sm-2 control-label">In:</label>

                                                                        <div class="col-sm-10">
                                                                            <div class="input-group">
                                                                                <input type="text" th:field="*{shiftInString}" name="shiftInString" id="shiftInString" class="form-control timepicker">

                                                                                <div class="input-group-addon">
                                                                                    <i class="fa fa-clock-o"></i>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <!-- /.input group -->
                                                                    </div>

                                                                    <div class="form-group">
                                                                        <label for="shiftOutString" class="col-sm-2 control-label">Out:</label>

                                                                        <div class="col-sm-10">
                                                                            <div class="input-group">
                                                                                <input type="text" th:field="*{shiftOutString}" name="shiftOutString" id="shiftOutString" class="form-control timepicker">

                                                                                <div class="input-group-addon">
                                                                                    <i class="fa fa-clock-o"></i>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <!-- /.input group -->
                                                                    </div>

                                                                    <div class="form-group">
                                                                        <label for="breakOutString" class="col-sm-2 control-label">Break Out:</label>

                                                                        <div class="col-sm-10">
                                                                            <div class="input-group">
                                                                                <input type="text" th:field="*{breakOutString}" name="breakOutString" id="breakOutString" class="form-control timepicker">

                                                                                <div class="input-group-addon">
                                                                                    <i class="fa fa-clock-o"></i>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <!-- /.input group -->
                                                                    </div>

                                                                    <div class="form-group">
                                                                        <label for="breakInString" class="col-sm-2 control-label">Break In:</label>

                                                                        <div class="col-sm-10">
                                                                            <div class="input-group">
                                                                                <input type="text" th:field="*{breakInString}" name="breakInString" id="breakInString" class="form-control timepicker">

                                                                                <div class="input-group-addon">
                                                                                    <i class="fa fa-clock-o"></i>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <!-- /.input group -->
                                                                    </div>

                                                                    <div class="form-group">
                                                                        <label for="overtimeBeforeString" class="col-sm-2 control-label">OT Before:</label>

                                                                        <div class="col-sm-10">
                                                                            <div class="input-group">
                                                                                <input type="text" th:field="*{overtimeBeforeString}" name="overtimeBeforeString" id="overtimeBeforeString" class="form-control timepicker">

                                                                                <div class="input-group-addon">
                                                                                    <i class="fa fa-clock-o"></i>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <!-- /.input group -->
                                                                    </div>

                                                                    <div class="form-group">
                                                                        <label for="overtimeAfterString" class="col-sm-2 control-label">OT After:</label>

                                                                        <div class="col-sm-10">
                                                                            <div class="input-group">
                                                                                <input type="text" th:field="*{overtimeAfterString}" name="overtimeAfterString" id="overtimeAfterString" class="form-control timepicker">

                                                                                <div class="input-group-addon">
                                                                                    <i class="fa fa-clock-o"></i>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <!-- /.input group -->
                                                                    </div>
                                                                    <div class="form-group">
                                                                        <label for="dariTanggal" class="col-sm-2 control-label">Start</label>

                                                                        <div class="col-sm-10">
                                                                            <select class="form-control select2" name="dariTanggal" th:field="*{breakStatus}" id="dariTanggal" style="width: 100%;">
                                                                                <option th:value="NO">NO</option>
                                                                                <option th:value="YES">YES</option>
                                                                            </select>
                                                                        </div>
                                                                    </div>

                                                                    <div class="form-group">
                                                                        <label for="workDayStatus" class="col-sm-2 control-label">Work Status</label>

                                                                        <div class="col-sm-10">
                                                                            <select class="form-control select2" name="workDayStatus" th:field="*{workDayStatus}" id="workDayStatus" style="width: 100%;">
                                                                                <option th:value="ON">ON</option>
                                                                                <option th:value="OFF">OFF</option>
                                                                            </select>
                                                                        </div>
                                                                    </div>

                                                                    <input type="hidden" name="id" th:field="*{id}">
                                                                </div>
                                                                <div class="modal-footer">
                                                                    <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
<!--                                                                    <button type="button" class="btn btn-primary">Save changes</button>-->
                                                                    <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>
                                                                </div>
                                                            </form>
                                                        </div>
                                                        <!-- /.modal-content -->
                                                    </div>
                                                    <!-- /.modal-dialog -->
                                                </div>

                                            </div>
                                        <div class="box-body table-responsive no-padding">

                                            <table class="table table-bordered">
                                                <tr>
                                                    <th style="width: 10px">#</th>
                                                    <th>Day</th>
                                                    <th>Shift</th>
                                                    <th>In</th>
                                                    <th>Out</th>
                                                    <th>Break In</th>
                                                    <th>Break Out</th>
                                                    <th>OT Before</th>
                                                    <th>OT After</th>
                                                    <th>Break</th>
                                                    <th></th>
                                                </tr>
                                                <tr>
                                                <tr th:each="dataShiftPattern,row : ${listShiftPattern}">
                                                    <td th:text="${(row.index + 1)}">1.</td>
                                                    <td th:text="${dataShiftPattern.getDays().getNameDay()}">BEASISWA</td>
                                                    <td th:text="${dataShiftPattern.getShiftDetail().getShiftName()}">BEASISWA</td>
                                                    <td th:text="${dataShiftPattern.getShiftDetail().getShiftIn()}">BEASISWA</td>
                                                    <td th:text="${dataShiftPattern.getShiftDetail().getShiftOut()}">BEASISWA</td>
                                                    <td th:text="${dataShiftPattern.getShiftDetail().getBreakOut()}">BEASISWA</td>
                                                    <td th:text="${dataShiftPattern.getShiftDetail().getBreakIn()}">BEASISWA</td>
                                                    <td th:text="${dataShiftPattern.getShiftDetail().getOvertimeBefore()}">BEASISWA</td>
                                                    <td th:text="${dataShiftPattern.getShiftDetail().getOvertimeAfter()}">BEASISWA</td>
                                                    <td th:text="${dataShiftPattern.getShiftDetail().getBreakStatus()}">BEASISWA</td>
                                                    <td>
                                                        <form method="post" th:action="@{/setting/timemanagement/shift/pattern/delete(shiftPattern=${dataShiftPattern.id})}">
                                                            <button type="submit" class="btn btn-danger btn-xs"
                                                                    onclick="return confirm('Are you sure want to delete this?')">
                                                                Delete
                                                            </button>
                                                        </form>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                        <!-- /.box-body -->
                                        <div class="box-footer clearfix">
<!--                                            <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">-->
<!--                                                <li class="disabled"><a href="#" aria-label="Previous"><span-->
<!--                                                        aria-hidden="true">&laquo;</span></a>-->
<!--                                                </li>-->
<!--                                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
<!--                                                </li>-->
<!--                                            </ul>-->
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                <!-- /.tab-content -->
            </div>
            <!-- nav-tabs-custom -->
        </div>
    </div>
</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#tanggalLahir').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>
</body>
</html>